import 'package:flutter/services.dart';

const MethodChannel livelike_method_channel =
    const MethodChannel('livelike_flutter_sdk');
const accessTokenEventChannel =
    const EventChannel('flutter_sdk_access_token_delegate');
const errorEventChannel = const EventChannel('flutter_sdk_error_delegate');
const widgetStreamChannel = const EventChannel('widget_stream');

const chatViewType = "chatView";
const widgetViewTypeKey = "widgetView";
const programIDKey = "programId";
const clientIDKey = "clientId";
const accessTokenKey = "accessToken";
const usingAccessTokenKey = "usingAccessToken";
const chatRoomIdKey = "chatRoomId";
const videoTimePDTKey = "videoTimePDT";

//Method Calls Key
const initSDKKey = "initSDK";
const createSessionKey = "createSession";
const createChatSessionKey = "createChatSession";
const setSessionKey = "setSession";
const closeSessionKey = "closeSession";
const resumeSessionKey = "resumeSession";
const pauseSessionKey = "pauseSession";
const closeChatSessionKey = "closeChatSession";
const resumeChatSessionKey = "resumeChatSession";
const pauseChatSessionKey = "pauseChatSession";
const getLeaderBoardsKey = "getLeaderBoards";
const setVideoTimePDTKey = "setVideoTimePDT";
